# -*- encoding: utf-8 -*-
class Web::Amazonpay::ResultController < ApplicationController

  #-------------------------------------------------------------------------
  # 入力フォーム初期表示
  #-------------------------------------------------------------------------
  def index
    @order_id = params[:orderId]
    @mstatus = params[:mstatus]
    @v_result_code = params[:vResultCode]
    @center_order_id = params[:centerOrderId]
    @center_transaction_id = params[:centerTransactionId]
    @center_response_datetime = params[:centerResponseDatetime]
    @shipping_name = params[:shippingName]
    @shipping_phone = params[:shippingPhone]
    @shipping_address1 = params[:shippingAddress1]
    @shipping_address2 = params[:shippingAddress2]
    @shipping_address3 = params[:shippingAddress3]
    @shipping_prefecture = params[:shippingPrefecture]
    @shipping_postal_code = params[:shippingPostalCode]

    cmd = params[:command]
    @str_command = ""
    if "Authorize" == cmd
      @str_command = "決済"
    end
    result = params[:result]
    @str_result = ""
    if "SUCCESS" == result
      @str_result = "完了"
    elsif "ERROR" == result
      @str_result = "エラー"
    end

    @warning_message = check_auth_info
  end

  #-------------------------------------------------------------------------
  # vAuthInfoパラメータのチェック
  #-------------------------------------------------------------------------
  private
  def check_auth_info

    conf = Veritrans::Tercerog::Mdk::MdkConfig.instance
    unless Veritrans::Tercerog::Mdk::AuthHashUtil::check_auth_hash?(\
            params.to_unsafe_h, conf.merchant_cc_id, conf.merchant_secret_key, "UTF-8")
      return "<font color='#ff0000'><b>【パラメータ改竄】パラメータ情報が改竄されています。</b></font>"
    else
      return ""
    end
  end

end
