# -*- encoding: utf-8 -*-
class Web::Carrier::Mb::TerminateController < Web::Carrier::AbstractTerminateController
  layout "mb_application"
  before_action :to_utf8
  after_action :to_sjis
  skip_before_action :verify_authenticity_token

  #-------------------------------------------------------------------------
  # see AbstractAuthorizeController
  def get_config_suffix
    return ".mb"
  end

  #-------------------------------------------------------------------------
  # see AbstractAuthorizeController: モバイルのときは true を返す
  def is_no_header_footer
    return "true"
  end

end
