# -*- encoding: utf-8 -*-
require "socket"

class TopController < ApplicationController

  def index
    @price = '10'

    # インスタンス変数初期化
    config = Veritrans::Tercerog::Mdk::MdkConfig.instance
    # 接続先
    target_url = config[:HOST_URL]
    uri = URI.parse(target_url)
    host = uri.host
    ip_address = Socket.gethostbyname(uri.host)[3].unpack("C4").join('.')
    # 接続モード
    dummy_request = config[:DUMMY_REQUEST]
    connect_type = "本番リクエスト"
    if (dummy_request == "1")
      connect_type = "ダミーリクエスト"
    end
    @connect_system = host + "／" + ip_address
    @connect_type = connect_type
  end

  def go_next

    @payment_method = params[:post]["method"]
    @price = params["price"]
    case @payment_method
    when "card"
      redirect_to :controller => 'web/card/authorize', :action => 'index', :price => @price
    when "mpi"
      redirect_to :controller => 'web/mpi/authorize', :action => 'index', :price => @price
    when "cvs"
      redirect_to :controller => 'web/cvs/authorize', :action => 'index', :price => @price
    when "em"
      redirect_to :controller => 'web/em/menu', :action => 'index', :price => @price
    when "bank"
      redirect_to :controller => 'web/bank/authorize', :action => 'index', :price => @price
    when "paypal"
      redirect_to :controller => 'web/paypal/authorize', :action => 'index', :price => @price
    when "upop"
      redirect_to :controller => 'web/upop/authorize', :action => 'index', :price => @price
    when "alipay"
      redirect_to :controller => 'web/alipay/authorize', :action => 'index', :price => @price
    when "saison"
      redirect_to :controller => 'web/saison/authorize', :action => 'index', :price => @price
    when "carrier"
      redirect_to :controller => 'web/carrier/menu', :action => 'index', :price => @price
    when "oricosc"
      @item1_quantity = '1'
      @item1_name = 'テスト商品１'
      @price = '500'
      redirect_to :controller => 'web/oricosc/authorize', :action => 'index', :price => @price, :item1_quantity => @item1_quantity, :item1_name => @item1_name
    when "rakuten"
      @item_name = 'テスト商品'
      @price = '100'
      redirect_to :controller => 'web/rakuten/authorize', :action => 'index', :price => @price, :item_name => @item_name
    when "recruit"
      @item_name = 'テスト商品'
      redirect_to :controller => 'web/recruit/authorize', :action => 'index', :price => @price, :item_name => @item_name
    when "linepay"
      @item_name = 'テスト商品'
      redirect_to :controller => 'web/linepay/authorize', :action => 'index', :price => @price, :item_name => @item_name
    when "masterpass"
      @quantity1 = '1'
      @item_name = 'テスト商品'
      redirect_to :controller => 'web/masterpass/login',  :action => 'index', :quantity1 => @quantity1, :value1 => @price, :description1 => @item_name
    when "virtualacc"
      @account_manage_type = '0'
      @entry_transfer_name = 'テストタロウ'
      @entry_transfer_number = '００００１'
      redirect_to :controller => 'web/virtualacc/authorize',  :action => 'index', :price => @price, :account_manage_type => @account_manage_type, :entry_transfer_name => @entry_transfer_name, :entry_transfer_number => @entry_transfer_number
    when "paypay"
      redirect_to :controller => 'web/paypay/menu', :action => 'index', :price => @price
    when "amazonpay"
      redirect_to :controller => 'web/amazonpay/authorize', :action => 'index', :price => @price
    end
  end
end
