# -*- encoding: utf-8 -*-
class Web::Mpi::GetResultController < ApplicationController

  #-------------------------------------------------------------------------
  # クレジットカード決済(本人認証) 本人認証結果確認要求サンプル
  #-------------------------------------------------------------------------
  def execute
    #-------------------------------------------------------------------------
    # パラメータを取得します。
    #-------------------------------------------------------------------------
    # 取引ID
    @order_id = params[:order_id]

    #-------------------------------------------------------------------------
    # 必須パラメータ値チェック
    #-------------------------------------------------------------------------
    @error_message = ""
    if @order_id == ""
      @error_message = "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font><br/><br/>"
      render :action => "index"
      return
    end

    #-------------------------------------------------------------------------
    # 要求電文パラメータ値の指定
    #-------------------------------------------------------------------------
    req = Veritrans::Tercerog::Mdk::MpiGetResultRequestDto.new
    req.order_id = @order_id.to_s

    #-------------------------------------------------------------------------
    # コマンドを実行し、応答DTOを取得します。
    #-------------------------------------------------------------------------
    tran = Veritrans::Tercerog::Mdk::MdkTransaction.new
    res = tran.execute(req)

    #--------------------------------------------------------------------------
    # 結果画面に表示します。
    #--------------------------------------------------------------------------
    @result_order_id = res.order_id
    @mstatus = res.mstatus
    @v_result_code = res.v_result_code
    @merr_msg = res.merr_msg
    @request_id = res.request_id
    @req_amount = res.req_amount
    @req_card_number = res.req_card_number
    @mpi_mstatus = res.mpi_mstatus
    @mpi_vresult_code = res.mpi_vresult_code
    @card_mstatus = res.card_mstatus
    @auth_code = res.auth_code
    @ddd_message_version = res.ddd_message_version
    @ddd_transaction_id = res.ddd_transaction_id
    @ddd_ds_transaction_id = res.ddd_ds_transaction_id
    @ddd_server_transaction_id = res.ddd_server_transaction_id
    @ddd_transaction_status = res.ddd_transaction_status
    @ddd_cavv_algorithm = res.ddd_cavv_algorithm
    @ddd_cavv = res.ddd_cavv
    @ddd_eci = res.ddd_eci
  end
end
