# -*- encoding: utf-8 -*-
class Web::Rakuten::ResultController < ApplicationController

  #-------------------------------------------------------------------------
  # 入力フォーム初期表示
  #-------------------------------------------------------------------------
  def index
    @order_id = params[:orderId]
    @mstatus = params[:mstatus]
    @v_result_code = params[:vResultCode]
    @rakuten_order_id = params[:rakutenOrderId]
    @gateway_order_id = params[:gatewayOrderId]
    @used_point = params[:usedPoint]
    @card_brand = params[:cardBrand]
    @card_last4 = params[:cardLast4]
    @card_installments = params[:cardInstallments]
    @card_cvc = params[:cardCvc]
    @card_3ds = params[:card3ds]
    @transaction_datetime = params[:transactionDatetime]
    @cancel_expiration_time = params[:cancelExpirationTime]
    @capture_expiration_time = params[:captureExpirationTime]
    @update_expiration_time = params[:updateExpirationTime]
    @extend_auth_expiration_time = params[:extendAuthExpirationTime]
    @rakuten_consent_order_id = params[:rakutenConsentOrderId]
    @customer_id = params[:customerId]
    result = params[:result]
    @str_result = ""
    if "SUCCESS" == result
      @str_result = "完了"
    elsif "CANCEL" == result
      @str_result = "キャンセル"
    elsif "ERROR" == result
      @str_result = "エラー"
    end

    @warning_message = check_auth_info
  end

  #-------------------------------------------------------------------------
  # vAuthInfoパラメータのチェック
  #-------------------------------------------------------------------------
  private
  def check_auth_info

    conf = Veritrans::Tercerog::Mdk::MdkConfig.instance
    unless Veritrans::Tercerog::Mdk::AuthHashUtil::check_auth_hash?(\
            params.to_unsafe_h, conf.merchant_cc_id, conf.merchant_secret_key, "UTF-8")
      return "<font color='#ff0000'><b>【パラメータ改竄】パラメータ情報が改竄されています。</b></font>"
    else
      return ""
    end
  end
end
